Page MenuHomePhabricator

Only store numeric property IDs in SqlEntityInfoBuilder
Closed, ResolvedPublic

Description

Background: when adding entity data to ParserOutput, there is a fatal error when the form is used in the statement on the property (see: T192766)

I.e. numericIdsByType member field would become something like numericPropertyIds and by simple map not two-dimensional one.

Event Timeline

WMDE-leszek triaged this task as High priority.Apr 25 2018, 11:19 AM
WMDE-leszek created this task.
WMDE-leszek updated the task description. (Show Details)Apr 25 2018, 11:21 AM

Change 429166 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/Wikibase@master] Store only numeric property IDs in SqlEntityInfoBuilder

https://gerrit.wikimedia.org/r/429166

Change 429166 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Store only numeric property IDs in SqlEntityInfoBuilder

https://gerrit.wikimedia.org/r/429166

Jakob_WMDE closed this task as Resolved.Apr 27 2018, 11:17 AM
Jakob_WMDE claimed this task.
Jakob_WMDE moved this task from Doing to Done on the Wikidata-Turtles-Sprint#4 board.
Vvjjkkii renamed this task from Only store numeric property IDs in SqlEntityInfoBuilder to 09daaaaaaa.Jul 1 2018, 1:14 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Jakob_WMDE as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Mainframe98 renamed this task from 09daaaaaaa to Only store numeric property IDs in SqlEntityInfoBuilder.Jul 1 2018, 8:03 AM
Mainframe98 closed this task as Resolved.
Mainframe98 assigned this task to Jakob_WMDE.
Mainframe98 updated the task description. (Show Details)
Mainframe98 added subscribers: Aklapper, gerritbot.